// Include gulp
var gulp = require('gulp');

// Include plugins
var concat = require('gulp-concat');
var uglify = require('gulp-uglify');
var zip = require('gulp-zip');
var sourceMaps = require('gulp-sourcemaps');
var minifyCss = require('gulp-minify-css');


var paths = {
  scripts: ['src/js/*.js'],
  images: 'src/images/*',
  css: 'src/css/*.css'
};


// Concatenate & Minify JS
gulp.task('scripts', function() {
    return gulp.src(paths.scripts)
        .pipe(concat('smartseo.min.js'))
        .pipe(uglify())
        .pipe(gulp.dest('dist/js'));
});

// concatenate & minify css 
gulp.task('styles', function() {
    return gulp.src(paths.css)
        .pipe(concat('smartseo.min.css'))
        .pipe(minifyCss())
        .pipe(gulp.dest('dist/css'));
});

// zip files
gulp.task('zip', function() {
    return gulp.src(['./**', '!src/**', '!./node_modules/**', '!.git/**'])
        .pipe(zip('smart-seo-data-csv-import-export.zip'))
        .pipe(gulp.dest('./'));
});



// Default Task
gulp.task('default', ['scripts', 'styles']);